Bug 469389 - Any user can send dbus messages to gdm that start a new X session
Any user can send dbus messages to gdm that start a new X session
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 12:01 EDT by Kostas Georgiou
Modified: 2015-01-14 18:21 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:42:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example "exploit" (328 bytes, text/x-python)
2008-10-31 12:03 EDT, Kostas Georgiou
no flags Details

  None (edit)
Description Kostas Georgiou 2008-10-31 12:01:54 EDT
Any local user can call CreateTransientDisplay on the org.gnome.DisplayManager.LocalDisplayFactory interface which results in a new X session. 

Beyond that this will annoy the hell out of whoever is on the local machine I suspect that a loop that keeps sending the message can be an effective DOS.
Comment 1 Kostas Georgiou 2008-10-31 12:03:53 EDT
Created attachment 322103 [details]
example "exploit"
Comment 2 Ray Strode [halfline] 2008-10-31 14:04:03 EDT
So at a minimum we should modify the dbus security policy in /etc/dbus-1/system.d to only allow at_console users to run it, but really we should be using policykit to levy access.
Comment 3 Tomas Hoger 2008-11-03 06:26:39 EST
Is this interface used to spawn another local session when some user is already logged-in in X?  If so, restricting this to console users only sounds good.  I'm not sure how PolicyKit is expected to be used here.
Comment 4 Kostas Georgiou 2008-11-14 12:40:16 EST
I at least have no idea at all as to what is using this interface. Probably just fast user switching but you never know.

I am not sure that I want my users to be able to start an unlimited amount of X servers even if they are in the console to tell the truth but this is a different story I guess.
Comment 5 Bug Zapper 2008-11-25 23:33:38 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-11-18 03:43:10 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:42:41 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.